GET /poolgroup/{uuid}/runtime/detail/
/poolgroup/{uuid}/runtime/detail/
UUID of the object to fetch
Avi Tenant Header
Avi Tenant Header UUID
Avi Controller may send back CSRF token in the response cookies. The caller should update the request headers with this token else controller will reject requests.
The caller is required to set Avi Version Header to the expected version of configuration. The response from the controller will provide and accept data according to the specified version. The controller will reject POST and PUT requests where the data is not compatible with the specified version.
OK
{
"current_primary_pool": "string",
"last_primary_pool": "string",
"last_primary_pool_switchover_time": {
"secs": 0,
"usecs": 0
},
"num_conn_drops_during_pool_switchover": 0,
"primary_pool_switchover_in_progress": false,
"se_uuid": "string"
}
Current pool name which is acting as primary. By default higher priority pool acts as primary. Field introduced in 20.1.7, 21.1.2, 21.1.3. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Name of the pool that was primary before switchover to current primary. Field introduced in 20.1.7, 21.1.2, 21.1.3. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
last_primary_pool_switchover_time
Number of connection dropped during switchover. Field introduced in 20.1.7, 21.1.2, 21.1.3. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Switchover from Primary/Secondary or Secondary/Primary pool is in progress. Field introduced in 20.1.7, 21.1.2, 21.1.3. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
SE uuid. Field introduced in 21.1.3. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
log in failed
object not found
curl -H 'Authorization: <value>' https://{api_host}/api/poolgroup/{uuid}/runtime/detail